/* ---- COOKIES ---- */
#public_cookies {
  background-color: #2b2e36c9;
  color: var(--white);
  backdrop-filter: blur(5px);
  text-wrap: balance;
  padding: 16px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  box-shadow: 0px 0px 15px rgb(0 0 0 / 17%);
  z-index: 99999;
  transition: opacity 0.3s, transform 0.3s;
  border-radius: var(--radius-md);

  &.show {
    bottom: 0;
  }

  p, a {
    font-size: 0.75rem;
    line-height: 1.2;
  }

  p {
    margin: 0;
  }

  .cookies_ok {
    background-color: var(--white);
    color: var(--color-text);
    font-weight: 500;
    width: 50px;
    display: flex;
    height: 35px;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    flex: none;

    &:hover {
      opacity: 0.7;
    }
  }

  @media screen and (max-width: 768px) {
    p {
      order: 2;
    }

    .cookies_ok {
      order: 1;
    }
  }

  @media screen and (min-width: 1199px) {
    flex-direction: row;
    max-width: fit-content;
    margin: 0 auto;
  }
}
